#include "hal_data.h"
#include "i2c.h"

volatile bool i2c_rx_complete = false;
volatile bool i2c_tx_complete = false;
uint16_t timeout = 0;

void iic_callback(i2c_master_callback_args_t *p_args)
{
    if (p_args->event == I2C_MASTER_EVENT_RX_COMPLETE)
    {
        i2c_rx_complete = true;
    }
    else if (p_args->event == I2C_MASTER_EVENT_TX_COMPLETE)
    {
        i2c_tx_complete = true;
    }
}

void i2c_wait_tx()
{
    timeout = 1000;
    while (!i2c_tx_complete && timeout > 0)
    {
        timeout--;
    }
    i2c_tx_complete = false;
}

void i2c_wait_rx()
{
    timeout = 1000;
    while (!i2c_rx_complete && timeout > 0)
    {
        timeout--;
    }
    i2c_rx_complete = false;
}
